Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.acl
Interface AclPrincipal

All Superinterfaces:
  java.security.Principal

All Known Implementing Classes:
  AuthUserPrincipal, SimplePrincipal

public interface AclPrincipal
extends java.security.Principal

Method Summary
`java.lang.String` | `getPassword()` Get the password associated to this principal.
`java.lang.String` | `getRealm()` Get the realm associated to this principal.(could be his group)
`java.lang.Object` | `getValue(java.lang.String name)` Get a parameter value.
`boolean` | `matchIP(java.net.InetAddress adr)` Return true if the IPadress associated to this principal match the given one.
`void` | `setValue(java.lang.String name, java.lang.Object value)` Set a parameter.

Methods inherited from interface java.security.Principal
`equals, getName, hashCode, toString`

Method Detail

### getRealm

    public java.lang.String getRealm()

  Get the realm associated to this principal.(could be his group)

  Returns:
    the realm name.

### getPassword

    public java.lang.String getPassword()

  Get the password associated to this principal.

  Returns:
    the password

### setValue

    public void setValue(java.lang.String name,
                         java.lang.Object value)

  Set a parameter.

  Parameters:
    `name` - the parameter name
    `value` - the parameter value

### getValue

    public java.lang.Object getValue(java.lang.String name)

  Get a parameter value.

  Parameters:
    `name` - the parameter name.
  Returns:
    the parameter value

### matchIP

    public boolean matchIP(java.net.InetAddress adr)

  Return true if the IPadress associated to this principal match the given one.

  Parameters:
    `adr` - an IP adress
  Returns:
    true if the ip adress match.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD